package jp.flashcast.translator.android.manager;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.provider.BaseColumns;

public class ConnectionManager extends SQLiteOpenHelper {
	private static final String DATABASE_NAME = "translator.db";
	private static final int DATABASE_VERSION = 1;
	private static ConnectionManager connection;

	public ConnectionManager(Context context) {
		super(context, DATABASE_NAME, null, DATABASE_VERSION);
	}

	public static ConnectionManager getInstance(Context context) {
		if (connection == null) {
			connection = new ConnectionManager(context);
		}

		return connection;
	}
	
	@Override
	public void onCreate(SQLiteDatabase db) {
		final String histories = "CREATE TABLE IF NOT EXISTS histories (" +
			BaseColumns._ID + " INTEGER PRIMARY KEY, " +
			"original TEXT, " +
			"translated TEXT, " +
			"srclanguage TEXT, " +
			"dstlanguage TEXT, " +
			"dt TEXT);";
	
		db.execSQL(histories);
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		// TODO Auto-generated method stub

	}

}
